%define oname		mx
%define name		lib%{oname}
%define libversion	1.0
%define gir_major	1.0

%define major           2
%define libname		%mklibname %{oname} %{libversion} %{major}
%define develname	%mklibname %{oname} %{libversion} -d
%define girname		%mklibname %{oname}-gir %{gir_major}

%define gtkmajor	0
%define	gtklibname	%mklibname %{oname}-gtk %{libversion} %{gtkmajor}
%define	gtkdevelname	%mklibname %{oname}-gtk	%{libversion} -d
%define	gtkgirname	%mklibname %{oname}-gtk-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		%{name}
Version:	1.4.7
Release:	%mkrel 6
Summary:	A clutter widget toolkit

Group:		System/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	https://github.com/downloads/clutter-project/mx/mx-%{version}.tar.xz
Patch0:		0001-Replace-GL-data-types-with-equivalent-glib-types.patch
BuildRequires: pkgconfig(clutter-gesture)
BuildRequires: pkgconfig(clutter-imcontext-0.1)
BuildRequires: pkgconfig(clutter-x11-1.0) >= 1.7.91
BuildRequires: pkgconfig(dbus-glib-1) >= 0.82
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gladeui-1.0) >= 3.4.5
BuildRequires: pkgconfig(gtk+-2.0) >= 2.20
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.9
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr) >= 1.2.0
BuildRequires:	intltool
BuildRequires:  gobject-introspection-devel

%description
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

%package utils
Summary:	Utilities for %{name}
Group:		Development/Other

%description utils
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

This package contains mx-create-image-cache util.

%package -n %{libname}
Summary:	Run-time library for %{name} clutter widget toolkit
Group:		System/Libraries
Requires:	%{name}-utils = %{version}-%{release}

%description -n %{libname}
Run-time library for the %{name} clutter widget toolkit.

%package -n %{gtklibname}
Summary:        Run-time library for %{name} clutter GTK widget toolkit
Group:          System/Libraries

%description -n %{gtklibname}
Run-time library for the %{name} clutter GTK widget toolkit.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and libraries used for development with MX toolkit.

%package -n %{gtkdevelname}
Summary:        Development package for %{name} GTK widgets
Group:          Development/Other
Requires:	%{gtklibname} = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}

%description -n %{gtkdevelname}
Header files and libraries used for development with MX tolkit.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gtkgirname}
Summary:	GObject Introspection interface description for %{name} using GTK widgets
Group:		System/Libraries
Requires:	%{gtklibname} = %{version}-%{release}

%description -n %{gtkgirname}
GObject Introspection interface description for %{name}-gtk.

%prep
%setup -q -n mx-%{version}
%patch0 -p1

%build
%configure2_5x \
	--disable-static \
	--enable-introspection
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{oname}-1.0

%files utils -f mx-1.0.lang
%doc COPYING.LIB README ChangeLog
%{_bindir}/mx-create-image-cache
%{_datadir}/%{oname}

%files -n %{libname}
%{_libdir}/%{name}-%{libversion}.so.%{major}*

%files -n %{gtklibname}
%{_libdir}/%{name}-gtk-%{libversion}.so.%{gtkmajor}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Mx-%{gir_major}.typelib

%files -n %{gtkgirname}
%{_libdir}/girepository-1.0/MxGtk-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{oname}
%dir %{_includedir}/%{oname}-%{libversion}
%{_includedir}/%{oname}-%{libversion}/%{oname}
%{_libdir}/pkgconfig/%{oname}-%{libversion}.pc
%{_libdir}/%{name}-%{libversion}.so
%{_datadir}/gir-1.0/Mx-%{gir_major}.gir

%files -n %{gtkdevelname}
%doc %{_datadir}/gtk-doc/html/%{oname}-gtk
%{_includedir}/%{oname}-%{libversion}/%{oname}-gtk
%{_libdir}/pkgconfig/%{oname}-gtk-%{libversion}.pc
%{_libdir}/%{name}-gtk-%{libversion}.so
%{_datadir}/gir-1.0/MxGtk-%{gir_major}.gir


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.7-6.mga4
+ Revision: 531166
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 dams <dams> 1.4.7-5.mga4
+ Revision: 462425
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 1.4.7-4.mga4
+ Revision: 454263
- Rebuild for new cogl

* Mon May 27 2013 fwang <fwang> 1.4.7-3.mga4
+ Revision: 428613
- rebuild for new cogl

* Sat Jan 12 2013 umeabot <umeabot> 1.4.7-2.mga3
+ Revision: 357815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 fwang <fwang> 1.4.7-1.mga3
+ Revision: 300955
- new verrsion 1.4.7
- rebuild for new cogl

* Sun Sep 23 2012 fwang <fwang> 1.4.6-1.mga3
+ Revision: 296874
- new version 1.4.6

* Tue Mar 06 2012 fwang <fwang> 1.4.1-4.mga2
+ Revision: 220653
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 1.4.1-3.mga2
+ Revision: 212388
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 1.4.1-2.mga2
+ Revision: 197233
- rediff gdk-pixbuf patch

* Thu Nov 24 2011 wally <wally> 1.4.1-1.mga2
+ Revision: 171698
- new version 1.4.1

* Tue Nov 22 2011 wally <wally> 1.4.0-2.mga2
+ Revision: 171068
- rebuild for new cogl and clutter

* Fri Nov 11 2011 wally <wally> 1.4.0-1.mga2
+ Revision: 166773
- new version 1.4.0
- rediff P0

* Mon Sep 19 2011 wally <wally> 1.3.0-2.mga2
+ Revision: 145684
- rebuild for new cogl
- fix -devel package group tags
- new version 1.3.0
- add P0 from Fedora
- enable introspection
- don't regenerate gtk-docs

  + fwang <fwang>
    - rebuild for new cogl

* Tue Jul 05 2011 wally <wally> 1.2.0-2.mga2
+ Revision: 118705
- rebuild for new cogl

* Mon Jul 04 2011 wally <wally> 1.2.0-1.mga2
+ Revision: 118494
- disable introspection for now
- create own subpackages for gir .typelibs
- create own subpackages for gtk parts
- clean .spec

  + cjw <cjw>
    - imported package libmx


* Sat Jun 25 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.0-1
* adapt fedora package to mageia policy

* Sun Jun  5 2011 Peter Robinson <pbrobinson@gmail.com> 1.2.0-1
- 1.2.0

* Fri May 13 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.12-1
- New upstream 1.1.12

* Wed Apr 20 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.11-1
- New upstream 1.1.11

* Sun Apr  3 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.10-1
- New upstream 1.1.10

* Mon Mar 14 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.9-1
- New upstream 1.1.9

* Thu Feb 17 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.7-1
- New upstream 1.1.7

* Mon Feb 14 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.6-1
- New upstream 1.1.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.4-1
- New upstream 1.1.4

* Sat Jan 22 2011 Peter Robinson <pbrobinson@gmail.com> 1.1.3-1
- New upstream 1.1.3

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 1.1.0-5
- Build against gtk3

* Fri Dec 03 2010 Dan Horák <dan[at]danny.cz> 1.1.0-4
- updated for clutter 1.4+

* Wed Sep 29 2010 jkeating - 1.1.0-3
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Matthias Clasen <mclasen@redhat.com> 1.1.0-2
- Rebuild against newer gobject-introspection

* Sat Jul 31 2010 Peter Robinson <pbrobinson@gmail.com> 1.1.0-1
- New upstream 1.1.0 devel release

* Thu Jul 15 2010 Colin Walters <walters@verbum.org> - 1.0.3-2
- Rebuild with new gobject-introspection

* Sun Jul  4 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.3-1
- New upstream 1.0.3 stable release

* Thu May 27 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.2-1
- New upstream 1.0.2 stable release

* Sat May 22 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.1-1
- New upstream 1.0.1 stable release, use official tar file

* Mon May 17 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream 1.0.0 stable release

* Sat May  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.8-1
- New upstream 0.99.8 release

* Mon Apr 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.7-1
- New upstream 0.99.7 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.5-1
- New upstream 0.99.5 release

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-2
- Upload new source file

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.99.4-1
- New upstream 0.99.4 release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-2
- Add patch to fix build on gtk 2.2.20

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.9.0-1
- New upstream 0.9.0 release

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.7.3-1
- New upstream 0.7.3 release

* Sun Feb 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Fri Feb 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-2
- Upload source file

* Mon Feb  8 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-1
- New upstream 0.6.0 release

* Wed Feb  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- New upstream 0.5.2 release

* Thu Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-2
- Bump build

* Thu Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- New upstream 0.5.1 release

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-3
- Add dbus dep while we're at it!

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-2
- Add new dep

* Mon Jan 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- New upstream 0.5.0 release

* Wed Jan 13 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-3
- Drop unneeded libccss dependency

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-2
- Enable gesture support

* Tue Jan 12 2010 Peter Robinson <pbrobinson@gmail.com> 0.4.0-1
- New upstream 0.4.0 release

* Wed Jan  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-3
- fix build

* Mon Jan  4 2010 Peter Robinson <pbrobinson@gmail.com> 0.3.0-2
- Update package based on initial review comments

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.0-1
- New upstream 0.2.0 release

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Wed Nov 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaginp
